# SequenceElement(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``SequenceElement`(bpy_struct)

  Sequence strip data for a single frame

  `filename`

    Type: | string, default “”, (never None)

  `orig_height`

    Original image height

    Type: | int in [-inf, inf], default 0, (readonly)

  `orig_width`

    Original image width

    Type: | int in [-inf, inf], default 0, (readonly)

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`ImageSequence.elements` `MovieSequence.elements` | `Sequence.strip_elem_from_frame` `SequenceElements.append`